---
title: '-webkit-tap-highlight-color'
slug: Web/CSS/-webkit-tap-highlight-color
tags:
  - CSS
  - CSS Property
  - NeedsCompatTable
  - NeedsExample
  - Non-standard
  - Reference
  - WebKit
  - 'recipe:css-property'
---
<div>{{ CSSRef() }}</div>

<p>{{ Non-standard_header() }}</p>

<p><strong><code>-webkit-tap-highlight-color</code></strong> is a non-standard CSS property that sets the color of the highlight that appears over a link while it's being tapped. The highlighting indicates to the user that their tap is being successfully recognized, and indicates which element they're tapping on.</p>

<pre class="brush: css no-line-numbers notranslate">-webkit-tap-highlight-color: red;
-webkit-tap-highlight-color: transparent; /* for removing the highlight */
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<p>A {{Cssxref("color value")}}.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard<em>.</em> Apple has <a href="https://developer.apple.com/library/mac/documentation/AppleApplications/Reference/SafariWebContent/AdjustingtheTextSize/AdjustingtheTextSize.html#//apple_ref/doc/uid/TP40006510-SW5">a description in the Safari Web Content Guide</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-tap-highlight-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/WebKit_Extensions">WebKit CSS extensions</a></li>
 <li>Related CSS pseudo-classes:
  <ul>
   <li><code><a href="/en-US/docs/Web/CSS/:hover">:hover</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/:active">:active</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/:visited">:visited</a></code></li>
  </ul>
 </li>
</ul>
